## python-cstruct 5.2

=== Makefile ===
SHELL=/bin/bash -e

help:
	@echo - make black ------ Format code
	@echo - make clean ------ Clean virtual environment
	@echo - make coverage --- Run tests coverage
	@echo - make docs ------- Make docs
	@echo - make lint ------- Run lint
	@echo - make test ------- Run test
	@echo - make test-32bit - Run test on 32bit architecture
	@echo - make typecheck -- Typecheck
	@echo - make venv ------- Create virtual environment

black:
	black -S cstruct tests examples setup.py

clean:
	-rm -rf build dist
	-rm -rf *.egg-info
	-rm -rf bin lib share pyvenv.cfg

coverage:
	@pytest --cov --cov-report=term-missing

.PHONY: docs
docs:
	@mkdocs build
	@mkdocs gh-deploy

lint:
	flake8 cstruct tests

test:
	pytest

test-32bit:
	@make -C docker/i386 test

typecheck:
	mypy --strict --no-warn-unused-ignores cstruct

venv:
	python3 -m virtualenv .
	. bin/activate; pip install -Ur requirements.txt
	. bin/activate; pip install -Ur requirements-dev.txt

=== debian/changelog ===
python-cstruct (5.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 17 May 2023 11:53:11 +0200

=== debian/control ===
Source: python-cstruct
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-pytest
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/andreax79/python-cstruct
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-cstruct
Vcs-Git: https://gitlab.com/kalilinux/packages/python-cstruct.git

Package: python3-cstruct
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-cstruct-doc,
Description: C-style structs for Python (Python 3)
 This package contains a C-style structs for Python. It Converts C struct/union
 definitions into Python classes with methods for serializing/deserializing.
 .
 This package installs the library for Python 3.

Package: python-cstruct-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: C-style structs for Python (common documentation)
 This package contains a C-style structs for Python. It Converts C struct/union
 definitions into Python classes with methods for serializing/deserializing.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=cstruct
export PYBUILD_BEFORE_TEST= cp -r {dir}/mbr {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/mbr

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/andreax79/python-cstruct/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
